:root {
    --color-50: #f9f8fc;
    --color-100: #f1eff8;
    --color-200: #e6e2f2;
    --color-300: #d2cbe7;
    --color-400: #b5aad6;
    --color-500: #9988c4;
    --color-600: #806db0;
    --color-700: #685693;
    --color-800: #5b4c7d;
    --color-900: #4b3e65;
    --color-950: #302546;
    --default-text-color: black;
    --background: white;
    --highlight: blue;
    --border: 0.0625rem solid gray;
    --border-radius: 0.5rem;
}

body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background-color: var(--color-50);
}

dt {
    margin-top: 0.5rem;
    font-weight: bold;
}

.center {
    text-align: center;
}

.file, .hidden {
    display: none;
}

.grid {
    display: grid;
    grid-template-columns: max-content auto;
    padding: 1rem;
    margin: 0;
    height: calc(100dvh - 2rem);
}

.sidebar {
    grid-column: 1;
    padding-right: 1rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    overflow-y: auto;
    width: min-content;
}

.editor {
    grid-column: 2;
    border: var(--border);
    border-radius: var(--border);
    font-size: 1.1rem;
    resize: none;
}

button {
    display: block;
    padding: 0.5rem;
    border: var(--border);
    color: var(--default-text-color);
    background-color: var(--color-100);
    border-radius: var(--border-radius);;
    cursor: pointer;
    font-size: 1rem;
}

fieldset {
    border: var(--border);
    border-radius: var(--border-radius);
    width: 10rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

fieldset legend {
    width: min-content;
    white-space: nowrap;
}

@media (hover: hover) and (pointer: fine) {
    button:hover {
        background-color: var(--color-700);
        color: white;
    }
}


dialog .dialog-buttons {
    display: flex;
    justify-content: flex-end;
    gap: 0.5rem;
}

dialog {
    max-width: 25rem;
    border: var(--border);
    border-radius: var(--border-radius);
    padding: 2rem;
    border-radius: 0.25rem;
}

dialog h2 {
    text-align: center;
    font-size: 1.3rem;
    margin: 0 1rem 1rem;
}

dialog button {
    width: 6em;
}

#config_dialog p {
    text-align: center;
    border: var(--border);
    padding: 0.5rem;
}

code {
    font-size: 1.1rem;
    color: var(--color-700);
}

.working {
    position: absolute;
    width: 100%;
    line-height: 5;
    text-align: center;
    background-color: var(--color-700);
    color: white;
    font-weight: bold;
}

@media (max-width: 35rem) {
    fieldset {
        width: 6rem;
    }
    .hide-narrow {
        display: none;
    }
}

#aircraft_classes {
    margin: 2rem auto;
    width: min-content;
}

#aircraft_classes td {
    padding: 0.5rem;
}

.class_selector {
    white-space: nowrap;
    width:15rem;
}

.aircraft_type {
    font-size: 1.2rem;
}

#error_message {
    margin: 1rem 0;
}
